<!doctype html>
{{-- Запрос языковой конфигурации приложения.
    Языковые настройки хранятся в файле конфигурации config/app.php
    --}}
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>{{ isset($title) ? $title : 'Laravel Views' }}</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <style>
        html {
            position: relative;
            min-height: 100%;
        }

        body {
            margin-bottom: 60px;
        }

        .footer {
            position: absolute;
            bottom: 0;
            width: 100%;
            height: 60px;
            line-height: 60px;
            color: #dddddd;
            background-color: #333333;
        }
    </style>
</head>

<body>
    {{-- Включение представления меню --}}
    @include('shared.nav')

    <div class="container pb-3">
        <header class="text-center mb-5">
            <h1>{{ isset($page_name) ? $page_name : 'Laravel Views' }}</h1>
        </header>

        {{-- Место вставки контента от дочерних подпредставлений --}}
        @yield('content', '<h5>Нет контента - секция "content"</h5>')

        {{-- Место вставки контента от дочерних подпредставлений --}}
        @section('content2')
            <h5 class="text-danger ">Контент по умолчанию, который может отображаться в дочерних представлениях</h5>
        @show

    </div>

    {{-- Включение представления подвала --}}
    @include('shared.footer')

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL" crossorigin="anonymous">
    </script>
</body>

</html>
